swgoh-comlink (0.39.0)

Download OpenAPI specification:Download

An API for sending requests to Star Wars Galaxy of Heroes' game services

game data

Get the game data

Request Body schema: application/json
enums
boolean
Default: false
required
object

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": {
    }
}

Response samples

Content type
application/json
{
  • "ability": [
    ],
  • "abilityDecisionTree": [
    ],
  • "artifactDefinition": [
    ],
  • "artifactTierDefinition": [
    ],
  • "battleEnvironments": [
    ],
  • "battleTargetingRule": [
    ],
  • "calendarCategoryDefinition": [
    ],
  • "campaign": [
    ],
  • "category": [
    ],
  • "challenge": [
    ],
  • "challengeStyle": [
    ],
  • "conquestDefinition": [
    ],
  • "conquestMission": [
    ],
  • "consumableDefinition": [
    ],
  • "consumableTierDefinition": [
    ],
  • "consumableType": [
    ],
  • "cooldown": [
    ],
  • "dailyActionCap": [
    ],
  • "dailyLoginRewardDefinition": [
    ],
  • "datacronAffixTemplateSet": [
    ],
  • "datacronHelpEntry": [
    ],
  • "datacronSet": [
    ],
  • "datacronTemplate": [
    ],
  • "displayableEnemy": [
    ],
  • "effect": [
    ],
  • "effectIconPriority": [
    ],
  • "energyReward": [
    ],
  • "environmentCollection": [
    ],
  • "episodeDefinition": [
    ],
  • "equipment": [
    ],
  • "eraDefinition": [
    ],
  • "eventBonus": [
    ],
  • "eventSampling": [
    ],
  • "galacticBundle": [
    ],
  • "guildBanner": {
    },
  • "guildExchangeItem": [
    ],
  • "guildRaid": [
    ],
  • "guildRaidGlobalConfig": {
    },
  • "helpEntry": [
    ],
  • "lightspeedToken": [
    ],
  • "linkedStoreItem": [
    ],
  • "linkingReward": {
    },
  • "material": [
    ],
  • "modRecommendation": [
    ],
  • "mysteryBox": [
    ],
  • "mysteryStatMod": [
    ],
  • "persistentVfx": [
    ],
  • "playerPortrait": [
    ],
  • "playerTitle": [
    ],
  • "powerUpBundle": [
    ],
  • "raidConfig": [
    ],
  • "recipe": [
    ],
  • "recommendedSquad": [
    ],
  • "relicTierDefinition": [
    ],
  • "requirement": [
    ],
  • "savedSquadConfig": [
    ],
  • "scavengerConversionSet": [
    ],
  • "seasonDefinition": [
    ],
  • "seasonDivisionDefinition": [
    ],
  • "seasonLeagueDefinition": [
    ],
  • "seasonRewardTable": [
    ],
  • "skill": [
    ],
  • "socialStatus": {
    },
  • "starterGuild": [
    ],
  • "statMod": [
    ],
  • "statModSet": [
    ],
  • "statProgression": [
    ],
  • "table": [
    ],
  • "targetingSet": [
    ],
  • "territoryBattleDefinition": [
    ],
  • "territoryTournamentDailyRewardTable": {
    },
  • "territoryTournamentDefinition": [
    ],
  • "territoryTournamentDivisionDefinition": [
    ],
  • "territoryTournamentLeagueDefinition": [
    ],
  • "territoryWarDefinition": [
    ],
  • "timeZoneChangeConfig": {
    },
  • "unitGuideDefinition": [
    ],
  • "unitGuideLayout": [
    ],
  • "units": [
    ],
  • "unlockAnnouncementDefinition": [
    ],
  • "warDefinition": [
    ],
  • "xpTable": [
    ]
}

Get an object containing all of the game data enums

Responses

Response samples

Content type
application/json
{ }

Get the segmented content details

Request Body schema: application/json
enums
boolean
Default: false
object

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": {
    }
}

Response samples

Content type
application/json
{
  • "content": {
    }
}

Get the localization bundle

Request Body schema: application/json
enums
boolean
Default: false
required
object
unzip
boolean

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": {
    },
  • "unzip": true
}

Response samples

Content type
application/json
{ }

Get the game metadata

Request Body schema: application/json
enums
boolean
Default: false
object

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": {
    }
}

Response samples

Content type
application/json
{
  • "assetPath": "string",
  • "assetSubpath": "string",
  • "assetVersion": 0,
  • "clientCache": [
    ],
  • "config": [
    ],
  • "debugMode": true,
  • "eadpParameters": {
    },
  • "gamedataRevision": "string",
  • "latestGamedataVersion": "string",
  • "latestLocalizationBundleVersion": "string",
  • "latestLocalizationRevision": "string",
  • "latestSegmentedContentVersion": "string",
  • "monoExtraMemoryAllocationDivisor": 0,
  • "qualityData": {
    },
  • "resourceCacheMemoryLimit": 0,
  • "serverProperty": [
    ],
  • "serverTimestamp": 0,
  • "serverVersion": "string",
  • "texFormat": "string"
}

events

Get the game events

Request Body schema: application/json
enums
boolean
Default: false
payload
object

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": { }
}

Response samples

Content type
application/json
{
  • "gameEvent": [
    ]
}

guild

Get the guild leaderboards

Request Body schema: application/json
enums
boolean
Default: false
required
object

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": {
    }
}

Response samples

Content type
application/json
{
  • "leaderboard": [
    ]
}

Search guilds

Request Body schema: application/json
enums
boolean
Default: false
required
object

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": {
    }
}

Response samples

Content type
application/json
{
  • "guild": [
    ],
  • "includeStarterGuild": true,
  • "totalRecords": 0
}

Get information about a guild

Request Body schema: application/json
enums
boolean
Default: false
required
object

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": {
    }
}

Response samples

Content type
application/json
{
  • "guild": {
    }
}

gac

View GAC leaderboards. Supports both the global leaderboards, as well as the leaderboards for the GAC groupings of 8.

Request Body schema: application/json
enums
boolean
Default: false
required
object

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": {
    }
}

Response samples

Content type
application/json
{
  • "leaderboard": [
    ],
  • "player": [
    ],
  • "playerStatus": {
    }
}

Endpoint to check if the service is alive

Responses

Response samples

Content type
application/json
{ }

Get prometheus metrics

Responses

Endpoint to check if the service is ready

Responses

Response samples

Content type
application/json
{ }

player

Get a player profile

Request Body schema: application/json
enums
boolean
Default: false
required
object or object

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": {
    }
}

Response samples

Content type
application/json
{
  • "allyCode": 0,
  • "datacron": [
    ],
  • "eraUnitStatus": [
    ],
  • "guildBannerColor": "string",
  • "guildBannerLogo": "string",
  • "guildId": "string",
  • "guildLogoBackground": "string",
  • "guildName": "string",
  • "guildTypeId": "string",
  • "lastActivityTime": 0,
  • "level": 0,
  • "lifetimeSeasonScore": 0,
  • "loanedUnitEraLevel": 0,
  • "localTimeZoneOffsetMinutes": 0,
  • "name": "string",
  • "nucleusId": "string",
  • "playerId": "string",
  • "playerRating": {
    },
  • "profileStat": [
    ],
  • "pvpProfile": [
    ],
  • "rosterUnit": [
    ],
  • "seasonStatus": [
    ],
  • "selectedPlayerPortrait": {
    },
  • "selectedPlayerTitle": {
    },
  • "unlockedPlayerPortrait": [
    ],
  • "unlockedPlayerTitle": [
    ]
}

Get a player's arena profile

Request Body schema: application/json
enums
boolean
Default: false
required
object or object

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": {
    }
}

Response samples

Content type
application/json
{
  • "allyCode": 0,
  • "level": 0,
  • "lifetimeSeasonScore": 0,
  • "localTimeZoneOffsetMinutes": 0,
  • "name": "string",
  • "nucleusId": "string",
  • "playerId": "string",
  • "playerRating": {
    },
  • "pvpProfile": [
    ]
}

arena

Get a player's arena profile

Request Body schema: application/json
enums
boolean
Default: false
required
object or object

Responses

Request samples

Content type
application/json
{
  • "enums": false,
  • "payload": {
    }
}

Response samples

Content type
application/json
{
  • "allyCode": 0,
  • "level": 0,
  • "lifetimeSeasonScore": 0,
  • "localTimeZoneOffsetMinutes": 0,
  • "name": "string",
  • "nucleusId": "string",
  • "playerId": "string",
  • "playerRating": {
    },
  • "pvpProfile": [
    ]
}